xine-lib: Data Fields

xine-lib 1.2.13-20230125hg15249

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - v -

- v : asmrp_sym_t, Color, new_entry_data_t, unixscr_t, yuv_planes_s
- v_bitrate : xine_nbc_stats_data_t
- v_buffer : yuv2rgb_impl_s
- v_config : vcd_input_class_s, vcd_input_plugin_s
- v_current : post_plugin_fftscope_s, post_plugin_oscope_s
- v_direction : post_plugin_fftscope_s, post_plugin_oscope_s
- v_in_disc : xine_nbc_stats_data_t
- v_offset : mpeg2_decoder_s, picture_s
- v_percent : xine_nbc_stats_data_t
- v_remaining : xine_nbc_stats_data_t
- va : vaapi_driver_s
- va_config_id : ff_vaapi_context_s
- va_context : va_hw_frame_plugin_t, vaapi_driver_s
- va_context_id : ff_vaapi_context_s
- va_display : ff_vaapi_context_s, xine_va_display_t
- va_display_plugin : vaapi_context_impl
- va_head : ff_vaapi_context_s, vaapi_context_impl
- va_image_formats : ff_vaapi_context_s
- va_num_image_formats : ff_vaapi_context_s
- va_num_subpic_formats : vaapi_driver_s
- va_render_surfaces : ff_vaapi_context_s
- va_render_surfaces_storage : vaapi_context_impl
- va_soft_head : vaapi_driver_s
- va_soft_images : vaapi_driver_s
- va_soft_images_storage : vaapi_driver_s
- va_soft_surface_ids : vaapi_driver_s
- va_soft_surface_ids_storage : vaapi_driver_s
- va_subpic_formats : vaapi_driver_s
- va_subpic_height : vaapi_driver_s
- va_subpic_id : vaapi_driver_s
- va_subpic_image : vaapi_driver_s
- va_subpic_width : vaapi_driver_s
- va_surface_id : ff_vaapi_surface_s
- va_surface_ids : ff_vaapi_context_s
- va_surface_ids_storage : vaapi_context_impl
- vaapi_accel_data : vaapi_frame_t
- vaapi_cm_flags : vaapi_driver_s
- vaapi_init : vaapi_accel_funcs_s
- vaapi_lock : vaapi_driver_s
- vaapi_mpeg_softdec : ff_video_class_s
- vage : _FS_STAR
- val : _ConstFloatNodeType, _ConstIntNodeType, _PIXEL, bits_reader_t, em8300_register_t
- val1 : _vdpau_features_t
- val2 : _vdpau_features_t
- valid : resample_sync_t
- valid_context : ff_vaapi_context_s
- valid_data : pvr_input_plugin_t
- valid_frames : demux_mpgaudio_t
- vals : _TENTACLE_FX_DATA
- value : _sparse_array_entry_t, _xine_arg_t, BoolVal, em8300_attribute_t, FloatVal, GOOM_HASH_ENTRY, IntVal, ListVal, opengl2_driver_s, Param, sparse_array_entry_t, StrVal, va_property_t, vidix_property_s, xine_list_elem_s, xine_sarray_s, xine_stree_t, xml_property_s, xv_property_t, xxmc_property_t
- value_float : _INSTRUCTION_DATA
- value_int : _INSTRUCTION_DATA
- value_ptr : _INSTRUCTION_DATA
- var : _INSTRUCTION_DATA
- var_float : _INSTRUCTION_DATA
- var_int : _INSTRUCTION_DATA
- var_ptr : _INSTRUCTION_DATA
- vars : _ExternalFunctionStruct, _GoomSL
- vb : vorbis_decoder_s
- vbase : pgx32_driver_t, pgx64_driver_t
- vbr : properties_t
- vbr_scale : xing_header_t
- vbri_header : demux_mpgaudio_t
- vbs : demux_flac_t
- vbuf : demux_real_t
- VBUFSIZE : _IVideoDecoder
- vbv_buffer_size : mpeg2_sequence_s
- vbv_delay : picture_s
- vc : vorbis_decoder_s
- vc1_hrd_parameters : seq_parameter_set_rbsp
- vc1_hrd_parameters_present_flag : seq_parameter_set_rbsp
- vcd : vcdplayer_s
- vcd_device : vcd_input_class_s
- vcd_format : vcdplayer_s
- vcdplayer_debug : vcd_input_class_s
- vd : vorbis_decoder_s
- vdec : vdec_hw_h264_frame_t, vdpau_h264_alter_decoder_t
- vdp : vdpau_driver_t
- vdp_decoder_create : vdpau_accel_t
- vdp_decoder_destroy : vdpau_accel_t
- vdp_decoder_render : vdpau_accel_t
- vdp_device : vdpau_accel_t, vdpau_driver_t
- vdp_get_error_string : vdpau_accel_t
- vdp_get_proc_address : vdpau_driver_t
- vdp_infos : picture_t
- vdp_infos2 : picture_t
- vdp_queue : vdpau_driver_t
- vdp_queue_target : vdpau_driver_t
- vdp_runtime_nr : sequence_t, vdpau_accel_t, vdpau_driver_t, vdpau_h264_alter_decoder_t, vdpau_h264_decoder_s
- vdpau_accel : vdpau_h264_decoder_s
- vdpau_accel_data : vdpau_frame_t
- vdr_hack : metronom_impl_t
- vdr_osd_height : vaapi_driver_s
- vdr_osd_width : vaapi_driver_s
- vdr_stream : vdr_audio_post_plugin_s, vdr_video_post_plugin_s
- verbosity : xine_s
- version : bebf_latm_t, demux_film_t, demux_iff_t, DPAnimChunk, ebml_parser_s, osd_font_s, page_t, plugin_info_t, region_t, vbri_header_t, xine_vld_frame_s
- version_idx : mpg_audio_frame_t
- version_number : dds_t
- vertex : surf3d
- vertical_offset : spucmml_decoder_s, sputext_class_s, sputext_decoder_s
- vertical_position_extension : mpeg2_decoder_s
- vertical_size_extension : sequence_t
- vertical_size_value : sequence_t
- vhdfile : demux_ts_t
- vhdr : demux_iff_t
- vi : vorbis_decoder_s, xine_query_buffers_t
- vid_frame_freed : v4l_input_plugin_t
- vid_frames : v4l_input_plugin_t
- vid_frames_lock : v4l_input_plugin_t
- video : metronom_impl_t, properties_t, v4l2_input_plugin_t, vdr_metronom_t, xine_nbc_st
- video2wnd : sputext_decoder_s
- video_aspect : dxr3_driver_s
- video_buf : v4l_input_plugin_t
- video_cap : v4l_input_plugin_t
- video_channel : v4l_input_plugin_t, xine_stream_private_st
- video_codec : demux_film_t
- video_content_base : v4l_input_plugin_t
- video_count : metronom_impl_t
- video_decoder : aom_decoder_s, bitplane_decoder_s, dav1d_decoder_s, dxr3_decoder_s, ff_video_decoder_s, foovideo_decoder_s, hevc_decoder_s, image_decoder_s, jpeg_decoder_s, mmal_decoder_s, mpeg2_video_decoder_s, mpeg2dec_decoder_s, png_decoder_s, qtv_decoder_s, realdec_decoder_s, rgb_decoder_s, vdpau_h264_alter_decoder_t, vdpau_h264_decoder_s, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s, vpx_decoder_s, w32v_decoder_s, yuv_decoder_s
- video_decoder_class : dxr3_decoder_class_s
- video_decoder_ei_fast : xine_stream_private_st
- video_decoder_ei_index : xine_stream_private_st
- video_decoder_extra_info : xine_stream_private_st
- video_decoder_map : plugin_catalog_s
- video_decoder_plugin : xine_stream_private_st
- video_decoder_streamtype : xine_stream_private_st
- video_device_lock : dxr3_driver_s
- video_driver : xine_stream_s
- video_driver_class : dxr3_driver_class_s
- video_fd : v4l_input_plugin_t
- video_fifo : demux_ac3_t, demux_asf_s, demux_aud_t, demux_avi_s, demux_cdda_t, demux_dts_t, demux_eawve_t, demux_film_t, demux_flac_s, demux_fli_t, demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_image_s, demux_ipmovie_t, demux_ivf_t, demux_mng_t, demux_mpeg_block_s, demux_mpeg_elem_t, demux_mpeg_pes_s, demux_mpeg_s, demux_mve_t, demux_nsv_t, demux_ogg_s, demux_pva_t, demux_qt_t, demux_ra_t, demux_raw_dv_t, demux_real_t, demux_roq_t, demux_slave_t, demux_smjpeg_t, demux_snd_t, demux_str_t, demux_ts_t, demux_vc1_es_t, demux_vmd_t, demux_vqa_t, demux_yuv4mpeg2_t, demux_yuv_frames_s, xine_stream_s
- video_format : picture_s, seq_parameter_set_rbsp
- video_fourcc : demux_nsv_t
- video_fps : post_plugin_tdaan_t
- video_frames : video_index_t
- video_full_range_flag : seq_parameter_set_rbsp
- video_header_sent : v4l_input_plugin_t
- video_height : cc_renderer_s, multirate_pref_t, post_plugin_tdaan_t, spucc_decoder_s
- video_id : demux_asf_s, demux_real_t
- video_idx : avi_t
- video_iheight : dxr3_driver_s
- video_input : xine_post_s
- video_loop_running : vos_t
- video_mem : fb_frame_s
- video_mem_base : fb_driver_s
- video_mixer : vdpau_driver_t
- video_oheight : dxr3_driver_s
- video_open : aom_decoder_s, dav1d_decoder_s, image_decoder_s, jpeg_decoder_s, png_decoder_s
- video_opened : vos_t
- video_out : xine_stream_s
- video_output : post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, post_plugin_tdaan_t
- video_overlay : video_overlay_s
- video_pixel_aspect : vo_scale_s
- video_place : DVprofile
- video_port : vos_grab_video_frame_s
- video_posb : avi_t
- video_posf : avi_t
- video_pts : demux_fourxm_t, demux_iff_t, demux_ipmovie_t, demux_mve_t, demux_nsv_t, demux_vqa_t
- video_pts_counter : demux_roq_t
- video_pts_inc : demux_fourxm_t, demux_iff_t, demux_vmd_t
- video_ratio : dxr3_driver_s, post_plugin_tdaan_t
- video_reached : metronom_impl_t
- video_seek_count : xine_stream_private_st
- video_send_palette : demux_iff_t
- video_signal_type_present_flag : seq_parameter_set_rbsp
- video_source : xine_stream_private_st
- video_step : bitplane_decoder_s, demux_avi_s, demux_vc1_es_t, ff_video_decoder_s, foovideo_decoder_s, rgb_decoder_s, sequence_t, vdec_hw_h264_sequence_t, vdpau_h264_decoder_s, w32v_decoder_s, yuv_decoder_s
- video_stream : demux_asf_s, demux_real_t, mmsh_s
- video_stream_idx : avformat_demux_plugin_t
- video_streams : demux_real_t
- video_strn : avi_t
- video_superindex : avi_t
- video_surface : vdpau_driver_t
- video_tag : avi_t
- video_texture : opengl2_draw_info_t
- video_thread : vos_t, xine_stream_private_st
- video_thread_created : xine_stream_private_st
- video_time : demux_flv_t
- video_track : demux_matroska_t, matroska_track_s
- video_trak : qt_info
- video_tuner : v4l_input_plugin_t
- video_type : avi_t, demux_film_t, demux_iff_t, demux_nsv_t, demux_smjpeg_t, demux_ts_media
- video_width : cc_renderer_s, dxr3_driver_s, multirate_pref_t, post_plugin_tdaan_t, spucc_decoder_s
- video_window_active : vdr_input_plugin_s
- video_window_event_data : vdr_input_plugin_s
- video_window_height : osd_object_s, vdpau_overlay_t, vo_overlay_s
- video_window_width : osd_object_s, vdpau_overlay_t, vo_overlay_s
- video_window_x : osd_object_s, vdpau_overlay_t, vo_overlay_s
- video_window_y : osd_object_s, vdpau_overlay_t, vo_overlay_s
- videocodec : demux_flv_t
- videoMedia : demux_ts_t
- videoPid : demux_ts_t
- videoSize : XineOpenGLView
- vidix_cap : vidix_class_s, vidix_driver_s
- vidix_eq : vidix_driver_s
- vidix_grkey : vidix_driver_s
- vidix_handler : vidix_class_s, vidix_driver_s
- vidix_mem : vidix_driver_s
- vidix_name : vidix_driver_s
- vidix_play : vidix_driver_s
- vidix_started : vidix_driver_s
- view : macosx_driver_t
- view_modes : CamgChunk
- vindex : video_index_t
- vinfo : opengl_driver_t, xv_driver_s, xxmc_driver_s
- visibility : _CONV_DATA
- visible : directfb_driver_s, spudec_state_t
- viso_verid : picture_t
- visual : gl_plugin_params_t, hw_frame_plugin_params_t, pgx32_driver_t, pgx64_driver_t, va_display_plugin_params_t, x11osd, xcbosd, xshm_driver_t
- visual_type : directfb_class_t, directfb_driver_s, dxr3_driver_class_s, gl_plugin_params_t, hw_frame_plugin_params_t, opengl2_class_t, sdl_class_t, va_display_plugin_params_t, vaapi_class_t, vidix_driver_s, vo_info_t
- visuals : _PLUGIN_INFO
- vitesse : _ZOOM_FILTER_DATA
- vkeyframe : demux_real_t
- vld_frame : xine_xxmc_s
- vmd_header : demux_vmd_t
- vnamespace : _INSTRUCTION, _NODE_TYPE
- vo : vos_t, xine_query_buffers_t
- vo_deinterlace_enabled : post_plugin_deinterlace_s
- VO_DISP_TYPE_UNKNOWN : vo_accel_generic_t
- VO_DISP_TYPE_WAYLAND : vo_accel_generic_t
- VO_DISP_TYPE_X11 : vo_accel_generic_t
- vo_driver : aa_driver_t, caca_driver_t, directfb_driver_s, dxr3_driver_s, fb_driver_s, hw_frame_plugin_params_t, macosx_driver_t, mmal_driver_t, opengl2_driver_s, opengl_driver_t, pgx32_driver_t, pgx64_driver_t, raw_driver_t, sdl_driver_s, stk_driver_s, vaapi_driver_s, vdpau_driver_t, vdpau_grab_video_frame_t, vidix_driver_s, vo_none_driver_t, win32_driver_t, xshm_driver_t, xv_driver_s, xxmc_driver_s
- vo_driver_class : pgx32_driver_class_t, pgx64_driver_class_t
- vo_frame : aa_frame_s, caca_frame_s, directfb_frame_s, dxr3_frame_s, fb_frame_s, ff_saved_frame_t, image_decoder_s, jpeg_decoder_s, macosx_frame_t, mem_frame_t, mmal_frame_t, opengl_frame_t, pgx32_frame_t, pgx64_frame_t, png_decoder_s, raw_frame_t, sdl_frame_s, stk_frame_s, vdpau_accel_t, vdpau_frame_t, vidix_frame_s, vos_grab_video_frame_s, win32_frame_t, xine_xvmc_s, xshm_frame_t, xv_frame_t, xxmc_frame_t
- vo_height : vos_grab_video_frame_s
- vo_info : all_info_t
- vo_port : post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, post_plugin_tdaan_t
- vo_scale : pgx32_driver_t, pgx64_driver_t
- vo_width : vos_grab_video_frame_s
- vobsub : spudec_state_t
- vol : fusionsound_driver_s
- vol_mute : fusionsound_driver_s
- vol_shape : picture_t
- volume : _SOUND_INFO, ao_directx_t, dx2_driver_t, esd_driver_s, jack_driver_s, oss_driver_s, sndio_driver_s, Voice8Header
- volume_bool : pulse_driver_s
- volume_if : opensles_driver_s
- volume_mode : vdr_input_plugin_s
- volume_p : _SOUND_INFO
- vPBOindex : opengl2_driver_s
- vpid : xine_pids_data_t
- vPlaneEffect : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA
- vpts : aos_t, audio_buffer_s, dvb_spu_decoder_s, extra_info_s, metronom_impl_t, pci_node_s, spudec_stream_state_s, vdr_vpts_offset_t, video_overlay_event_s, vo_frame_s, xine_grab_video_frame_s
- vpts_limit : post_mosaico_s
- vpts_limit_changed : post_mosaico_s
- vpts_offs : metronom_impl_t
- vpts_offs_queue : vdr_input_plugin_s
- vpts_offset : metronom_impl_t
- vpts_rmndr : metronom_impl_t
- vqa_header : demux_vqa_t
- vregs : pgx32_driver_t, pgx64_driver_t
- vsync : directfb_driver_s
- vt : _CBaseFilter2, _CBaseFilter, _CMediaBuffer, _CMediaSample, _COutputMemPin, _COutputPin, _IBaseFilter, _IDMOQualityControl, _IDMOVideoOutputOptimizations, _IEnumDMO, _IEnumMediaTypes, _IEnumPins, _IHidden2, _IHidden, _IMediaBuffer, _IMediaObject, _IMediaObjectInPlace, _IMediaSample, _IMemAllocator, _IMemInputPin, _IPin, _MemAllocator, CEnumMediaTypes, CEnumPins, CInputPin, CRemotePin2, CRemotePin, IDivxFilterInterface
- vtex : opengl2_driver_s
- vtime : demux_real_t
- vui : vdec_hw_h264_sps_t
- vui_parameters : seq_parameter_set_rbsp
- vui_parameters_present_flag : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- vx : _FS_STAR
- vy : _FS_STAR
- vyuy422_align : pgx64_driver_t
- vyuy422_native_format : pgx64_driver_t